.mc-component-library .mc-tooltip-wrapper[data-v-58af5e53] {
  --tooltip-offset: 10px;
  position: relative;
}
.mc-component-library .mc-tooltip-wrapper.tooltip-offset-off[data-v-58af5e53] {
  --tooltip-offset: 0;
}
.mc-component-library .mc-tooltip-wrapper.tooltip-offset-small[data-v-58af5e53] {
  --tooltip-offset: 3px;
}
.mc-component-library .mc-tooltip-wrapper.tooltip-offset-large[data-v-58af5e53] {
  --tooltip-offset: 15px;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-small-font[data-v-58af5e53] {
  font-size: 11px !important;
}
.mc-component-library .mc-tooltip-wrapper.teleported[data-v-58af5e53] {
  position: absolute;
  z-index: 21;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip[data-v-58af5e53] {
  z-index: 10;
  position: absolute;
  width: max-content;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip > div[data-v-58af5e53] {
  padding: 3px 10px;
  border-radius: 3px;
  box-shadow: 6px 6px 10px rgba(0, 0, 0, 0.1), 0 0 6px rgba(0, 0, 0, 0.1);
  background-color: white;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip > div[data-v-58af5e53]::after {
  position: absolute;
  display: inline-block;
  width: 0;
  height: 0;
  vertical-align: middle;
  border-right: 5px solid white;
  border-top: 5px solid transparent;
  border-left: 0 dotted;
  border-bottom: 5px solid transparent;
  content: "";
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip > span[data-v-58af5e53] {
  display: inline-block;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left[data-v-58af5e53] {
  right: 100%;
  padding-right: var(--tooltip-offset);
  transform: translateY(-50%);
  top: 50%;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left > div[data-v-58af5e53]::after {
  right: var(--tooltip-offset);
  top: 50%;
  transform: translateY(-50%) translateX(100%) rotate(180deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left-top[data-v-58af5e53] {
  right: 100%;
  padding-right: var(--tooltip-offset);
  top: 0;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left-top > div[data-v-58af5e53]::after {
  right: var(--tooltip-offset);
  top: 14px;
  transform: translateY(-50%) translateX(100%) rotate(180deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left-bottom[data-v-58af5e53] {
  right: 100%;
  padding-right: var(--tooltip-offset);
  bottom: 0;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-left-bottom > div[data-v-58af5e53]::after {
  right: var(--tooltip-offset);
  bottom: 2px;
  transform: translateY(-50%) translateX(100%) rotate(180deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right[data-v-58af5e53] {
  left: 100%;
  padding-left: var(--tooltip-offset);
  transform: translateY(-50%);
  top: 50%;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right > div[data-v-58af5e53]::after {
  left: var(--tooltip-offset);
  top: 50%;
  transform: translateY(-50%) translateX(-100%);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right-top[data-v-58af5e53] {
  left: 100%;
  padding-left: var(--tooltip-offset);
  top: 0;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right-top > div[data-v-58af5e53]::after {
  left: var(--tooltip-offset);
  top: 14px;
  transform: translateY(-50%) translateX(-100%);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right-bottom[data-v-58af5e53] {
  left: 100%;
  padding-left: var(--tooltip-offset);
  bottom: 0;
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-right-bottom > div[data-v-58af5e53]::after {
  left: var(--tooltip-offset);
  bottom: 2px;
  transform: translateY(-50%) translateX(-100%);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top[data-v-58af5e53] {
  left: 50%;
  transform: translate(calc(-50% + 5px), -100%);
  top: 0;
  padding-bottom: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top > div[data-v-58af5e53]::after {
  right: 50%;
  bottom: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(100%) rotate(270deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top-left[data-v-58af5e53] {
  transform: translate(0, -100%);
  left: 0;
  top: 0;
  padding-bottom: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top-left > div[data-v-58af5e53]::after {
  left: 13px;
  bottom: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(100%) rotate(270deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top-right[data-v-58af5e53] {
  transform: translate(0, -100%);
  right: 0;
  top: 0;
  padding-bottom: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-top-right > div[data-v-58af5e53]::after {
  right: 9px;
  bottom: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(100%) rotate(270deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom[data-v-58af5e53] {
  left: 50%;
  transform: translate(calc(-50% + 5px), 100%);
  bottom: 0;
  padding-top: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom > div[data-v-58af5e53]::after {
  right: 50%;
  top: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(-100%) rotate(90deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom-left[data-v-58af5e53] {
  transform: translate(0, 100%);
  left: 0;
  bottom: 0;
  padding-top: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom-left > div[data-v-58af5e53]::after {
  left: 13px;
  top: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(-100%) rotate(90deg);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom-right[data-v-58af5e53] {
  transform: translate(0, 100%);
  right: 0;
  bottom: 0;
  padding-top: var(--tooltip-offset);
}
.mc-component-library .mc-tooltip-wrapper .mc-tooltip-bottom-right > div[data-v-58af5e53]::after {
  right: 9px;
  top: calc(var(--tooltip-offset) + 3px);
  transform: translateX(-50%) translateY(-100%) rotate(90deg);
}